Skip to main content

Get Domain Certificate

Retrieve certificate of domain.

Request

Request-Line

GET /waap/v1.0/services/{serviceId}/certificates?domain={domain} HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryService ID.

Query Parameters

ParameterTypeRequiredDescription
domainStringMandatoryDomain name.

Response

Response Body

ParameterTypeDescription
certificateIdIntegerCertificate ID. Only present after a successful Attach Certificate to Domain operation.
certificateNameStringCertificate Name. Only present after a successful Attach Certificate to Domain operation.
certTypeIntegerEither "manual", "auto" or "none". Present after a successful Attach Certificate to Domain operation.
autocertRequestStatusStringEither "issued", "issuing" or "failed". Only present after a Request Auto Let’s Encrypt Certificate for Domain and a successful Attach Certificate to Domain operation.
autocertRequestTimeIntegerThe request time of auto cert. Only present after a Request Auto Let’s Encrypt Certificate for Domain and a successful Attach Certificate to Domain operation.
validFromStringCertificate start time as Unix epoch milliseconds. Only present after a successful Attach Certificate to Domain operation.
validToIntegerCertificate expiry time as Unix epoch milliseconds. Only present after a successful Attach Certificate to Domain operation.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400ServiceId.InvalidServiceId is empty or invalid.
400Domain.InvalidDomain is empty or invalid.
404ServiceId.NotFoundServiceId is not found.
404Domain.NotFoundDomain is not found.
400Certificate.OperationFailedThe certificate operation failed.

Examples

Get Domain Certificate

Request

GET /waap/v1.0/services/67709/certificates?domain=test.swiftfederation.com HTTP/1.1

Successful Response Body

{
"certificateId": 2729,
"certificateName": "test.com",
"certType": "manual",
"autocertRequestStatus": "failed",
"autocertRequestTime": "2025-08-28T06:35:55.467Z",
"validFrom": 1756345199000,
"validTo": 1758937199000
}